%define name seahorse
%define version 2.32.0
%define release %mkrel 1
%define major 0
%define libname %mklibname %name %major
%define libnamedev %mklibname -d %name

Name:		%{name}
Summary:	GNOME2 frontend to GnuPG
Version:	%{version}
Release:	%{release}
License:	GPLv2+ and LGPLv2+
Group:		Graphical desktop/GNOME
URL:		http://seahorse.sourceforge.net/
Source:		http://ftp.gnome.org/pub/GNOME/sources/seahorse/%{name}-%{version}.tar.xz
Patch1:		seahorse-2.27.92-fix-linking.patch
Requires:	gnupg
BuildRoot:	%{_tmppath}/%{name}-%{version}
BuildRequires:  gpgme-devel >= 1.0.0
BuildRequires:  openssh-clients
BuildRequires: avahi-client-devel avahi-glib-devel
BuildRequires: libGConf2-devel
BuildRequires: libglade2.0-devel
BuildRequires: scrollkeeper
BuildRequires: libnotify-devel
BuildRequires: libldap-devel
BuildRequires: libsoup-devel
BuildRequires: gnome-keyring-devel >= 2.23.5
BuildRequires: libgnomeprintui-devel
BuildRequires: gnome-doc-utils
BuildRequires: intltool
BuildRequires: automake
BuildRequires: ImageMagick
BuildRequires: libxslt-proc
BuildRequires: desktop-file-utils
Obsoletes:	seahorse2
Provides:	seahorse2
Requires(post): scrollkeeper,desktop-file-utils
Requires(postun):scrollkeeper,desktop-file-utils
Requires:   glibc >= 2.10.1
Requires:   libstdc++6 >= 4.4.1
Obsoletes:  %name < %version
Obsoletes:  libseahorse0 < %version-%release
Provides:   libseahorse0 = %version-%release


%description
Seahorse is a GNOME2 frontend for the GNU Privacy Guard ecryption tool. It can 
be used for file encryption and decryption and for digitally signing files and 
for verifying those signatures. Key management options are also included.

 
%package devel
Group: Development/C
Summary: Seahorse libraries
Requires: %name = %version
Obsoletes: %mklibname -d %name 0
Obsoletes: libseahorse-devel < %version-%release
Provides: lib%name-devel = %version-%release

%description devel
Seahorse is a GNOME2 frontend for the GNU Privacy Guard ecryption tool. It can 
be used for file encryption and decryption and for digitally signing files and 
for verifying those signatures. Key management options are also included.


%prep

%setup -q
%patch1 -p1

%build
autoreconf -fis
%configure2_5x --enable-fast-install
make

%install
rm -rf $RPM_BUILD_ROOT %name.lang

GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std _ENABLE_SK=false
rm -f %buildroot%_libdir/libseahorse*{a,so}

# Menu
desktop-file-install --vendor="" \
  --remove-category="Advanced" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-System-FileTools" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/seahorse.desktop

%{find_lang} seahorse --with-gnome
%{find_lang} seahorse-applet --with-gnome
cat seahorse-applet.lang >> seahorse.lang
for omf in %buildroot%_datadir/omf/*/*-??*.omf;do 
echo "%lang($(basename $omf|sed -e s/.*-// -e s/.omf//)) $(echo $omf|sed -e s!%buildroot!!)" >> %name.lang
done

 
%post
/sbin/ldconfig
%{update_menus}
%define schemas seahorse
%post_install_gconf_schemas %schemas
%update_desktop_database
%update_icon_cache hicolor
%update_scrollkeeper

%preun
%preun_uninstall_gconf_schemas %schemas

%postun
/sbin/ldconfig
%{clean_menus} 
%clean_desktop_database
%clean_icon_cache hicolor
%clean_scrollkeeper

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,0755)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README
%{_sysconfdir}/gconf/schemas/seahorse.schemas
%{_bindir}/seahorse
%attr(4755,root,root) %{_bindir}/seahorse-daemon
%_mandir/man1/*
%{_libdir}/%name/
%{_datadir}/applications/seahorse.desktop
%_datadir/pixmaps/*
%dir %{_datadir}/omf/seahorse/
%dir %{_datadir}/seahorse/ui/*
%{_datadir}/omf/seahorse/seahorse-C.omf
%_datadir/dbus-1/services/*
%_datadir/icons/hicolor/*/apps/*
%_libdir/*.so.%{major}*

%files devel
%defattr(-,root,root,0755)
%_libdir/*.so
%_libdir/*.a
%attr(644,root,root) %_libdir/*.la
%_includedir/*
%_libdir/pkgconfig/*.pc
%{_datadir}/gtk-doc/html/libcryptui/*
%{_datadir}/gtk-doc/html/libseahorse/*


%changelog
* Thu Sep 30 2010 Texstar <texstar at gmail.com> 2.32.0-1pclos2010
- 2.32.0 & adjust build

* Fri Sep 10 2010 Texstar <texstar at gmail.com> 2.30.1-2pclos2010
- rebuild ldap

* Tue Apr 27 2010 Texstar <texstar at gmail.com> 2.30.1-1pclos2010
- 2.30.1

* Sat Jan 09 2010 Texstar <texstar at gmail.com> 2.28.1-3pclos2010
- rebuild

* Fri Dec 25 2009 <texstar at gmail.com> 2.28.1-2pclos2010
- rebuild

* Fri Oct 23 2009 slick50 <lxgator at gmail.com> 2.28.1-1pclos2009
- 2.28.1

* Fri Jul 03 2009 slick50 <lxgator@gmail.com> 2.26.2-1pclos2009
- 2.26.2


